<script lang="ts" setup>
import { onMounted } from 'vue'
import { useRouter } from 'vue-router'
import ProgressSpinner from 'primevue/progressspinner'
import { useUserStore } from '@/stores/user'
import LogoBanner from '@/components/LogoBanner.vue'

const store = useUserStore()
const router = useRouter()

const doLogout = async () => {
  await store.logout()
  router.push({ path: '/' })
}

onMounted(doLogout)

</script>

<template>
  <div class="content pt-5 w-full flex justify-center">
    <div class="md:min-w-4/12">
      <LogoBanner />
      <h1 class="text-lg p-3">Logging you out...</h1>
      <ProgressSpinner data-test="spinner" />
    </div>
  </div>
</template>
